# Class EquinoxFragmentNamespace

java.lang.Object
org.osgi.resource.Namespace
org.eclipse.osgi.container.namespaces.EquinoxFragmentNamespace

public class EquinoxFragmentNamespace extends Namespace
Equinox Namespace for fragment capabilities.

This class defines the names for the attributes and directives for this namespace. All unspecified capability attributes are of type `String` and are used as arbitrary matching attributes for the capability. The values associated with the specified directive and attribute keys are of type `String`, unless otherwise indicated.

Since:
  3.10
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FRAGMENT_NAMESPACE`
/** Namespace name for fragment capabilities and requirements.

### Fields inherited from class Namespace

`CAPABILITY_EFFECTIVE_DIRECTIVE, CAPABILITY_USES_DIRECTIVE, CARDINALITY_MULTIPLE, CARDINALITY_SINGLE, EFFECTIVE_ACTIVE, EFFECTIVE_RESOLVE, REQUIREMENT_CARDINALITY_DIRECTIVE, REQUIREMENT_EFFECTIVE_DIRECTIVE, REQUIREMENT_FILTER_DIRECTIVE, REQUIREMENT_RESOLUTION_DIRECTIVE, RESOLUTION_MANDATORY, RESOLUTION_OPTIONAL`

## Constructor Summary

Constructors
Constructor
Description
`EquinoxFragmentNamespace()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FRAGMENT_NAMESPACE

public static final String FRAGMENT_NAMESPACE
/** Namespace name for fragment capabilities and requirements.

Also, the capability attribute used to specify the symbolic name of the host the resource is providing a fragment for.

See Also:
  - Constant Field Values

## Constructor Details

### EquinoxFragmentNamespace

public EquinoxFragmentNamespace()